%global npmname tinycolor
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: a to-the-point color module for node
Name: nodejs-%{npmname}
Version: 0.0.1
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: git://github.com/einaros/tinycolor
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
This is a no-fuzz, barebone, zero muppetry color module for node.js.

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr tinycolor.js package.json %{buildroot}/%{npminstdir}
cp -pr .gitignore %{buildroot}/%{npminstdir}/.npmignore

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries

%files
%doc README.md example.js
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.0.1-1
- Initial build using tchor spec template

